Loading...
Searching...
No Matches
Magick::DrawableTextDirection Class Reference
Inheritance diagram for Magick::DrawableTextDirection:

## Public Member Functions

| DrawableTextDirection (DirectionType direction_)
void | operator() (MagickCore::DrawingWand *context_) const
void | direction (DirectionType direction_)
DirectionType | direction (void) const
DrawableBase * | copy () const

## Private Attributes

DirectionType | _direction

## Detailed Description

Definition at line 2142 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawableTextDirection()

Magick::DrawableTextDirection::DrawableTextDirection | ( | DirectionType | direction_ | ) |

Definition at line 1569 of file Drawable.cpp.

: _direction(direction_)
{
}

## ~DrawableTextDirection()

Magick::DrawableTextDirection::~DrawableTextDirection | ( | void |  | ) |

Definition at line 1575 of file Drawable.cpp.

{
}

## Member Function Documentation

## copy()

Magick::DrawableBase * Magick::DrawableTextDirection::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1595 of file Drawable.cpp.

{
return new DrawableTextDirection(*this);
}

## direction() [1/2]

void Magick::DrawableTextDirection::direction | ( | DirectionType | direction_ | ) |

Definition at line 1585 of file Drawable.cpp.

{
_direction=direction_;
}

## direction() [2/2]

Magick::DirectionType Magick::DrawableTextDirection::direction | ( | void |  | ) | const

Definition at line 1590 of file Drawable.cpp.

{
return(_direction);
}

## operator()()

void Magick::DrawableTextDirection::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1579 of file Drawable.cpp.

{
DrawSetTextDirection(context_,_direction);
}

## Field Documentation

## _direction

DirectionType Magick::DrawableTextDirection::_direction

private

Definition at line 2158 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp